# -*- coding: utf-8 -*-
# @Time : 2023/7/26 11:19
# @Author : XuJiakai
# @File : party_name_verify_utils
# @Software: PyCharm
import re

__anonymity_name = re.compile("^[a-zA-Z][某xX]+$")


def person_name_verify(name: str):
    """
    检测人名是否符合规范
    :param name:
    :return: True 人名符合规范，False 不符合
    """
    if not name:
        return False
    return __anonymity_name.match(name) is None


if __name__ == '__main__':
    print(person_name_verify("Z某某"))
    pass
